Page MenuHomeFreeBSD

Fix qt5 builds on some arm architectures
ClosedPublic

Authored by tcberner on Oct 28 2017, 4:20 PM.

Details

Summary

I don't think there is a need to bump revisions (it did not build on these architectures,
and should not affect the others).

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Oct 28 2017, 4:20 PM
tcberner updated this revision to Diff 34418.Oct 28 2017, 4:24 PM

... one should read the patch and apply it in the proper directory :)

tcberner updated this revision to Diff 34419.Oct 28 2017, 4:30 PM

Add some context to patches.

tcberner edited the test plan for this revision. (Show Details)Oct 28 2017, 4:37 PM
mmel accepted this revision.Oct 30 2017, 1:16 PM
mmel added inline comments.
www/qt5-webkit/files/patch-Source_JavaScriptCore_offlineasm_arm.rb
1 ↗(On Diff #34419)

armv6/v7:

3 ↗(On Diff #34419)

Don't emit ARMv7 instructions (movw, movt) for ARMv6 targets.

www/qt5-webkit/files/patch-Source_WebCore_platform_graphics_cpu_arm_filters_FELightingNEON.cpp
1 ↗(On Diff #34419)

armv6/v7:

3 ↗(On Diff #34419)

Use correct UAL syntax for 'vmov rx, ry,...' instruction. The '.u32' modifier in not allowed for this operand combination by ARM ARM, but gas silently ignores it.

This revision is now accepted and ready to land.Oct 30 2017, 1:16 PM
mmel added a comment.Nov 3 2017, 6:20 AM

Seems that exp-run passed without problems. Can you, please, commit this ?

sorry, I had a busy week, I plan to do it tonigt

This revision was automatically updated to reflect the committed changes.